### Virtual Method

# Ide SourceView move_search

#### Declaration

    void
    move_search (
      IdeSourceView* self,
      GtkDirectionType dir,
      gboolean extend_selection,
      gboolean select_match,
      gboolean exclusive,
      gboolean apply_count,
      gboolean at_word_boundaries
    )

#### Description

No description available.

#### Parameters

`dir` | `GtkDirectionType`
| No description available.
`extend_selection` | `gboolean`
| No description available.
`select_match` | `gboolean`
| No description available.
`exclusive` | `gboolean`
| No description available.
`apply_count` | `gboolean`
| No description available.
`at_word_boundaries` | `gboolean`
| No description available.